summaryrefslogtreecommitdiffstats
path: root/source/ap/texinfo
diff options
context:
space:
mode:
Diffstat (limited to 'source/ap/texinfo')
-rw-r--r--source/ap/texinfo/slack-desc10
-rwxr-xr-xsource/ap/texinfo/texinfo.SlackBuild20
2 files changed, 19 insertions, 11 deletions
diff --git a/source/ap/texinfo/slack-desc b/source/ap/texinfo/slack-desc
index 597f5520c..8a1904c89 100644
--- a/source/ap/texinfo/slack-desc
+++ b/source/ap/texinfo/slack-desc
@@ -1,17 +1,17 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
texinfo: texinfo (GNU software documentation system)
texinfo:
texinfo: 'Texinfo' is a documentation system that uses a single source file to
-texinfo: produce both on-line information and printed output. Using Texinfo,
+texinfo: produce both on-line information and printed output. Using Texinfo,
texinfo: you can create a printed document with the normal features of a book,
-texinfo: including chapters, sections, cross references, and indices. From the
+texinfo: including chapters, sections, cross references, and indices. From the
texinfo: same Texinfo source file, you can create a menu-driven, on-line Info
texinfo: file with nodes, menus, cross references, and indices.
texinfo:
diff --git a/source/ap/texinfo/texinfo.SlackBuild b/source/ap/texinfo/texinfo.SlackBuild
index 5ac714281..990649cd8 100755
--- a/source/ap/texinfo/texinfo.SlackBuild
+++ b/source/ap/texinfo/texinfo.SlackBuild
@@ -1,6 +1,6 @@
-#!/bin/sh
+#!/bin/bash
-# Copyright 2008, 2009, 2010, 2016 Patrick J. Volkerding, Sebeka, Minnesota, USA
+# Copyright 2008, 2009, 2010, 2016, 2018 Patrick J. Volkerding, Sebeka, Minnesota, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,10 +20,11 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=texinfo
VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1}
+BUILD=${BUILD:-3}
# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
@@ -35,6 +36,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
NUMJOBS=${NUMJOBS:-" -j7 "}
if [ "$ARCH" = "i586" ]; then
@@ -57,7 +66,6 @@ else
LIBDIRSUFFIX=""
fi
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-texinfo
@@ -66,7 +74,7 @@ mkdir -p $TMP $PKG
cd $TMP
tar xvf $CWD/texinfo-$VERSION.tar.xz || exit 1
-cd texinfo-$VERSION
+cd texinfo-$VERSION || exit 1
find . \
\( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
@@ -85,7 +93,7 @@ CFLAGS="$SLKCFLAGS" \
--build=$ARCH-slackware-linux || exit 1
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
# Be sure this is "fresh"
zcat $CWD/dir.gz > $PKG/usr/info/dir